DADA2 errors - return code 4

I have been having an issues while running DADA2, and would appreciate your input.
I tried to find the solution at the forum, but no one getting an error with ‘return code -4’.

After installing the latest version of Qiime2(2019.4) this error occurred. When I use the old version of Qiime2(2018.8), I have never seen such an error.

To figure out the problem I tried every solutions presented in other topics, but I couldn’t solve it.
To be clear, the previous version of the QIIME2(2018.8) has also been deleted.
I will provide all relevant information below. Thank you.

1. Error message when run the Dada2 using Moving Picture dataset
(qiime2-2019.4) [email protected]:/media/gwoncheol/66a3f3ba-1b8c-4b71-91f5-a7200e6dd306/example$ qiime dada2 denoise-single --i-demultiplexed-seqs
demux/per_sample_sequences.qza --p-trim-left 0 --p-trunc-len 120 --output-dir dada2 --verbose --p-n-threads 20

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-7ugxkncj/40a5e637-1929-42fe-be2a-429f5718e04e/data /tmp/tmpg2m5wr_g/output.tsv.biom /tmp/tmpg2m5wr_g/track.tsv /tmp/tmpg2m5wr_g 120 0 2.0 2 Inf consensus 1.0 20 1000000 NULL 16

R version 3.5.1 (2018-07-02) 
필요한 패키지를 로딩중입니다: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2 
1) Filtering ..................................
2) Learning Error Rates
19539480 total bases in 162829 reads from 34 samples will be used for learning the error rates.

 *** caught illegal operation ***
address 0x7fb8e1d96a54, cause 'illegal operand'

Traceback:
 1: simpleLoess(y, x, w, span, degree = degree, parametric = parametric,     drop.square = drop.square, normalize = normalize, statistics = control$statistics,     surface = control$surface, cell = control$cell, iterations = iterations,     iterTrace = control$iterTrace, trace.hat = control$trace.hat)
 2: loess(rlogp ~ q, df, weights = tot)
 3: errorEstimationFunction(cur)
 4: withCallingHandlers(expr, warning = function(w) invokeRestart("muffleWarning"))
 5: suppressWarnings(errorEstimationFunction(cur))
 6: doTryCatch(return(expr), name, parentenv, handler)
 7: tryCatchOne(expr, names, parentenv, handlers[[1L]])
 8: tryCatchList(expr, classes, parentenv, handlers)
 9: tryCatch(suppressWarnings(errorEstimationFunction(cur)), error = function(cond) {    if ((verbose && selfConsist) || verbose >= 2) {        message("Error rates could not be estimated (this is usually because of very few reads).")    }    return(NULL)})
10: dada(drps, err = NULL, errorEstimationFunction = errorEstimationFunction,     selfConsist = TRUE, multithread = multithread, verbose = verbose,     MAX_CONSIST = MAX_CONSIST, OMEGA_C = OMEGA_C, ...)
11: learnErrors(filts, nreads = nreads.learn, multithread = multithread,     HOMOPOLYMER_GAP_PENALTY = HOMOPOLYMER_GAP_PENALTY, BAND_SIZE = BAND_SIZE)
12: withCallingHandlers(expr, warning = function(w) invokeRestart("muffleWarning"))
13: suppressWarnings(learnErrors(filts, nreads = nreads.learn, multithread = multithread,     HOMOPOLYMER_GAP_PENALTY = HOMOPOLYMER_GAP_PENALTY, BAND_SIZE = BAND_SIZE))
An irrecoverable exception occurred. R is aborting now ...
Traceback (most recent call last):
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 152, in _denoise_single
    run_commands([cmd])
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_single.R', '/tmp/qiime2-archive-7ugxkncj/40a5e637-1929-42fe-be2a-429f5718e04e/data', '/tmp/tmpg2m5wr_g/output.tsv.biom', '/tmp/tmpg2m5wr_g/track.tsv', '/tmp/tmpg2m5wr_g', '120', '0', '2.0', '2', 'Inf', 'consensus', '1.0', '20', '1000000', 'NULL', '16']' died with <Signals.SIGILL: 4>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py", line 311, in __call__
    results = action(**arguments)
  File "</home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-449>", line 2, in denoise_single
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 231, in bound_callable
    output_types, provenance)
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 365, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 187, in denoise_single
    band_size='16')
  File "/home/gwoncheol/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 163, in _denoise_single
    " and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -4), please inspect stdout and stderr to learn more.

Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code -4), please inspect stdout and stderr to learn more.

See above for debug info.

2. Output from running these command 'suname -a / conda info -a / conda list --show-channel-urls / cat ~/.Rprofile’

[email protected]:~$ uname -a
Linux gwoncheol-VirtualBox 4.10.0-42-generic #46~16.04.1-Ubuntu SMP Mon Dec 4 15:57:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

[email protected]:~$ conda info -a

     active environment : None
       user config file : /home/gwoncheol/.condarc
 populated config files : 
          conda version : 4.6.14
    conda-build version : not installed
         python version : 3.6.8.final.0
       base environment : /home/gwoncheol/miniconda3  (writable)
           channel URLs : https://repo.anaconda.com/pkgs/main/linux-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/free/linux-64
                          https://repo.anaconda.com/pkgs/free/noarch
                          https://repo.anaconda.com/pkgs/r/linux-64
                          https://repo.anaconda.com/pkgs/r/noarch
          package cache : /home/gwoncheol/miniconda3/pkgs
                          /home/gwoncheol/.conda/pkgs
       envs directories : /home/gwoncheol/miniconda3/envs
                          /home/gwoncheol/.conda/envs
               platform : linux-64
             user-agent : conda/4.6.14 requests/2.18.4 CPython/3.6.8 Linux/4.10.0-42-generic ubuntu/16.04.2 glibc/2.23
                UID:GID : 1000:1000
             netrc file : None
           offline mode : False

# conda environments:
#
base                  *  /home/gwoncheol/miniconda3
qiime1                   /home/gwoncheol/miniconda3/envs/qiime1
qiime2-2019.4            /home/gwoncheol/miniconda3/envs/qiime2-2019.4

sys.version: 3.6.8 |Anaconda, Inc.| (default, Dec 30 ...
sys.prefix: /home/gwoncheol/miniconda3
sys.executable: /home/gwoncheol/miniconda3/bin/python
conda location: /home/gwoncheol/miniconda3/lib/python3.6/site-packages/conda
conda-build: None
conda-env: /home/gwoncheol/miniconda3/bin/conda-env
user site dirs: ~/.local/lib/python2.7

CIO_TEST: <not set>
COMPIZ_BIN_PATH: /usr/bin/
CONDA_ROOT: /home/gwoncheol/miniconda3
DEFAULTS_PATH: /usr/share/gconf/ubuntu.default.path
MANDATORY_PATH: /usr/share/gconf/ubuntu.mandatory.path
PATH: /home/gwoncheol/miniconda3/bin:/home/gwoncheol/bin:/home/gwoncheol/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/gwoncheol/bin:/home/gwoncheol/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/gwoncheol/바탕화면/rnammer-1.2:/home/gwoncheol/바탕화면/hmmer:home/gwoncheol/바탕화면/hmmer-2.3:/home/gwoncheol/바탕화면/a5_miseq/bin:/home/gwoncheol/바탕화면/Java/jre1.8.0_144/bin:/home/gwoncheol/blast-2.2.22/bin:/
REQUESTS_CA_BUNDLE: <not set>
SSL_CERT_FILE: <not set>
XDG_SEAT_PATH: /org/freedesktop/DisplayManager/Seat0
XDG_SESSION_PATH: /org/freedesktop/DisplayManager/Session0

[email protected]:~$ conda list --show-channel-urls
# packages in environment at /home/gwoncheol/miniconda3:
#
# Name                    Version                   Build  Channel
_r-mutex                  1.0.0               anacondar_1    defaults
asn1crypto                0.23.0           py36h4639342_0    defaults
binutils_impl_linux-64    2.28.1               had2808c_3    defaults
binutils_linux-64         7.2.0               had2808c_27    defaults
bwidget                   1.9.11                        1    defaults
bzip2                     1.0.6                h6d464ef_2    defaults
ca-certificates           2019.1.23                     0    defaults
cairo                     1.14.12              h7636065_2    defaults
certifi                   2019.3.9                 py36_0    defaults
cffi                      1.11.2           py36h2825082_0    defaults
chardet                   3.0.4            py36h0f667ec_1    defaults
conda                     4.6.14                   py36_0    defaults
conda-env                 2.6.0                h36134e3_1    defaults
cryptography              2.6.1            py36h1ba5d50_0    defaults
curl                      7.64.1               hbc83047_0    defaults
fontconfig                2.12.6               h49f89f6_0    defaults
freetype                  2.8                  hab7d2ae_1    defaults
gcc_impl_linux-64         7.2.0                habb00fd_3    defaults
gcc_linux-64              7.2.0               h550dcbe_27    defaults
gfortran_impl_linux-64    7.2.0                hdf63c60_3    defaults
gfortran_linux-64         7.2.0               h550dcbe_27    defaults
glib                      2.56.2               hd408876_0    defaults
graphite2                 1.3.10               hc526e54_0    defaults
gsl                       2.2.1                h0c605f7_3    defaults
gxx_impl_linux-64         7.2.0                hdf63c60_3    defaults
gxx_linux-64              7.2.0               h550dcbe_27    defaults
harfbuzz                  1.7.6                h5f0a787_1    defaults
icu                       58.2                 h9c2bf20_1    defaults
idna                      2.6              py36h82fb2a8_1    defaults
jinja2                    2.10             py36ha16c418_0    defaults
jpeg                      9b                   h024ee3a_2    defaults
krb5                      1.16.1               h173b8e3_7    defaults
libcurl                   7.64.1               h20c2e04_0    defaults
libedit                   3.1.20181209         hc058e9b_0    defaults
libffi                    3.2.1                hd88cf55_4    defaults
libgcc-ng                 8.2.0                hdf63c60_1    defaults
libgfortran-ng            7.2.0                h9f7466a_2    defaults
libpng                    1.6.37               hbc83047_0    defaults
libssh2                   1.8.2                h1ba5d50_0    defaults
libstdcxx-ng              8.2.0                hdf63c60_1    defaults
libtiff                   4.0.9                h28f6b97_0    defaults
libxcb                    1.13                 h1bed415_1    defaults
libxml2                   2.9.9                he19cac6_0    defaults
markupsafe                1.0              py36hd9260cd_1    defaults
ncurses                   6.1                  he6710b0_1    defaults
openssl                   1.1.1b               h7b6447c_1    defaults
pango                     1.40.11              h8191d47_0    defaults
pcre                      8.43                 he6710b0_0    defaults
pip                       9.0.1            py36h6c6f9ce_4    defaults
pixman                    0.34.0               hceecf20_3    defaults
pycosat                   0.6.3            py36h0a5515d_0    defaults
pycparser                 2.18             py36hf9f622e_1    defaults
pyopenssl                 17.5.0           py36h20ba746_0    defaults
pysocks                   1.6.7            py36hd97a5b1_1    defaults
python                    3.6.8                h0371630_0    defaults
r-assertthat              0.2.0            r343h889e2dd_0    defaults
r-base                    3.4.3                h9bb98a2_5    defaults
r-bh                      1.65.0_1         r343h889e2dd_0    defaults
r-bindr                   0.1              r343h889e2dd_0    defaults
r-bindrcpp                0.2              r343h599a50d_0    defaults
r-bit                     1.1_12           r343h086d26f_0    defaults
r-bit64                   0.9_7            r343h086d26f_0    defaults
r-blob                    1.1.0            r343h889e2dd_0    defaults
r-cli                     1.0.0            r343h6115d3f_1    defaults
r-crayon                  1.3.4            r343h889e2dd_0    defaults
r-dbi                     0.7              r343h889e2dd_0    defaults
r-dbplyr                  1.1.0            r343h889e2dd_0    defaults
r-digest                  0.6.13           r343h086d26f_0    defaults
r-dplyr                   0.7.4            r343h599a50d_0    defaults
r-glue                    1.2.0            r343h086d26f_0    defaults
r-magrittr                1.5              r343h889e2dd_4    defaults
r-memoise                 1.1.0            r343h889e2dd_0    defaults
r-pillar                  1.0.1            r343h889e2dd_0    defaults
r-pkgconfig               2.0.1            r343h889e2dd_0    defaults
r-plogr                   0.1_1            r343h889e2dd_0    defaults
r-purrr                   0.2.4            r343h086d26f_0    defaults
r-r6                      2.2.2            r343h889e2dd_0    defaults
r-rcpp                    0.12.14          r343h599a50d_0    defaults
r-rlang                   0.1.6            r343h086d26f_0    defaults
r-rsqlite                 2.0              r343h599a50d_0    defaults
r-tibble                  1.4.1            r343h086d26f_0    defaults
r-utf8                    1.1.2            r343h086d26f_0    defaults
readline                  7.0                  ha6073c6_4    defaults
requests                  2.18.4           py36he2e5f8d_1    defaults
rpy2                      2.9.1                    pypi_0    pypi
ruamel_yaml               0.11.14          py36ha2fb22d_2    defaults
setuptools                36.5.0           py36he42e2e1_0    defaults
six                       1.11.0           py36h372c433_1    defaults
sqlite                    3.28.0               h7b6447c_0    defaults
tk                        8.6.8                hbc83047_0    defaults
tktable                   2.10                 h14c3975_0    defaults
urllib3                   1.22             py36hbe7ace6_0    defaults
wget                      1.20.1               h20c2e04_0    defaults
wheel                     0.30.0           py36hfd4bba0_1    defaults
xz                        5.2.4                h14c3975_4    defaults
yaml                      0.1.7                had09818_2    defaults
zlib                      1.2.11               ha838bed_2    defaults
[email protected]:~$ cat ~/.Rprofile
cat: /home/gwoncheol/.Rprofile: No such file or directory

Hi @Marcell! Did you happen to install tensorflow into this environment? This same issue comes up on Github, related to tensorflow: https://github.com/rstudio/tensorflow/issues/228

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.